Update gnome-shell/mutter to 3.6.2

Bug #1078155 reported by Jeremy Bicha on 2012-11-13
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Wishlist
Unassigned
Quantal
Wishlist
Jeremy Bicha
mutter (Ubuntu)
Wishlist
Unassigned
Quantal
Wishlist
Jeremy Bicha

Bug Description

gnome-shell 3.6.2 also requires mutter 3.6.2

[Impact]

gnome-shell 3.6.2
=================
* Implement org.gnome.ScreenSaver.GetActiveTime [Giovanni; #686064]
* Explicitly load gnome-screensaver when not running GDM [Tim; #683060]
* Set Empathy as preferred handler when delegating channels [Xavier; #686296]
* Tweak screenShield animations [Rui; #686745]
* Restore Fittsability of summary items in message tray [Florian; #686474]
* App search: Match GenericName too [Matthias; #687121]
* Add setting to force log out menuitem [Matthias; #686057]
* Fix auto-scroll to bottom in chat notifications [Sjoerd; #686571]
* Update man page [Matthias; #680601]
* Hide notifications when closed button is clicked [Jasper, Florian; #682237]
* Fix screenshots on Big Endian [Owen; #685915]
* Implement 'disable-user-list' in login screen [Ray; #660660]
* Misc bugfixes [Jasper, Florian, Giovanni, Matthew, Matthias, Alejandro,
  Sebastian; #686233, #686484, #686487, #686630, #686728, #686574, #686574,
  #686574, #686879, #686763, #685239, #687189, #686736, #686583, #687132,
  #687958, #687020, #687708, #686888, #686530, #684810, #688181]

Or see http://worldofgnome.org/gnome-shell-3-6-2-release/

  * New upstream release. (LP: #1078155)
    - Fixes disable-user-list option (LP: #1072838)
    - Many other bugfixes
  * debian/control.in
    - Bump minimum mutter
    - Build-depend on gtk-doc-tools to generate updated man page
  * debian/patches/ubuntu_screensaver_fallback.patch:
    - Dropped, applied in new version
  * debian/patches/ubuntu_lock_on_suspend.patch
    - Refreshed
  * debian/patches/ubuntu-lightdm-user-switching.patch:
    - Restored. Accidentally dropped earlier but it just needed to
      be refreshed (LP: #1064269)
  * debian/patches/git-set-ally-wm-theme.patch:
    - Git patch to set/reset HighContrast window theme too

mutter 3.6.2
============
* Only process keyboard mapping events for the core X keyboard [Rui; #674859]
* Translation updates

For mutter, we're also installing missing keybinding settings for the System Settings Keyboard panel. And we're fixing bug 1067933.

[Test Case]

* Make sure that gnome-shell still works.
* This should fall under the GNOME MRE.

[Regression Potential]

Jeremy Bicha (jbicha) on 2012-11-13
Changed in mutter (Ubuntu):
importance: Undecided → Wishlist
Changed in gnome-shell (Ubuntu):
importance: Undecided → Wishlist
Changed in gnome-shell (Ubuntu Quantal):
importance: Undecided → Wishlist
Changed in mutter (Ubuntu Quantal):
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) on 2012-11-13
description: updated
Jeremy Bicha (jbicha) on 2012-11-13
Changed in mutter (Ubuntu Quantal):
status: New → In Progress
assignee: nobody → Jeremy Bicha (jbicha)
Changed in gnome-shell (Ubuntu Quantal):
assignee: nobody → Jeremy Bicha (jbicha)
Jeremy Bicha (jbicha) on 2012-11-13
description: updated
Jeremy Bicha (jbicha) on 2012-11-13
Changed in gnome-shell (Ubuntu Quantal):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.6.2-0ubuntu1

---------------
mutter (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1078155)
 -- Jeremy Bicha <email address hidden> Mon, 12 Nov 2012 22:09:47 -0500

Changed in mutter (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.6.2-0ubuntu1

---------------
gnome-shell (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1078155)
    - Fixes disable-user-list option (LP: #1072838)
  * debian/control.in
    - Bump minimum mutter
    - Build-depend on gtk-doc-tools to generate updated man page
  * debian/patches/telepathyClient-Fix-auto-scroll-to-bottom.patch
    - Dropped, applied in new version
  * debian/patches/ubuntu_screensaver_fallback.patch:
    - Dropped, applied in new version
  * debian/patches/ubuntu_lock_on_suspend.patch
    - Refreshed
 -- Jeremy Bicha <email address hidden> Mon, 12 Nov 2012 23:11:33 -0500

Changed in gnome-shell (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2012-11-26
description: updated

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-shell/3.6.2-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Jeremy, or anyone else affected,

Accepted mutter into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mutter/3.6.2-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mutter (Ubuntu Quantal):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-shell/3.6.2-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jeremy Nickurak (nickurak) wrote :

I'm running 3.6.2-0ubuntu0.2 successfully in quantal-proposed now.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.6.2-0ubuntu0.1

---------------
mutter (3.6.2-0ubuntu0.1) quantal-proposed; urgency=low

  [ Jeremy Bicha ]
  * New upstream bugfix release (LP: #1078155)
    - Only process keyboard mapping events for the core X keyboard
  * debian/mutter-common.install:
    - Install missing keybindings settings

  [ Brandon Snider ]
  * Added 05_ignore_num_workspaces.patch
    - Fixes gnome-shell forgetting how many workspaces are in use
      when gnome-shell is reloaded (LP: #1067933)
 -- Jeremy Bicha <email address hidden> Mon, 12 Nov 2012 22:14:55 -0500

Changed in mutter (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.6.2-0ubuntu0.2

---------------
gnome-shell (3.6.2-0ubuntu0.2) quantal-proposed; urgency=low

  * debian/control.in:
    - Really bump mutter and build-depend on gtk-doc-tools

gnome-shell (3.6.2-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release. (LP: #1078155)
    - Fixes disable-user-list option (LP: #1072838)
    - Many other bugfixes
  * debian/control.in
    - Bump minimum mutter
    - Build-depend on gtk-doc-tools to generate updated man page
  * debian/patches/ubuntu_screensaver_fallback.patch:
    - Dropped, applied in new version
  * debian/patches/ubuntu_lock_on_suspend.patch
    - Refreshed
  * debian/patches/ubuntu-lightdm-user-switching.patch:
    - Restored. Accidentally dropped earlier but it just needed to
      be refreshed (LP: #1064269)
  * debian/patches/git-set-ally-wm-theme.patch:
    - Git patch to set/reset HighContrast window theme too
 -- Jeremy Bicha <email address hidden> Mon, 26 Nov 2012 23:39:00 -0500

Changed in gnome-shell (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers